AcDbTable

原创 2016年08月30日 11:21:02
AcDbTable *pTab = new AcDbTable;
AcGePoint3d pInsert = AcGePoint3d(0, 0, 0);
AcDbDictionary *pDict = NULL;
//格式设置
AcDbObjectId idTblStyle;
acdbHostApplicationServices()->workingDatabase()->getTableStyleDictionary(pDict, AcDb::kForRead);
pDict->getAt(_T("Standard"), idTblStyle);
pDict->close();
pTab->setTableStyle(idTblStyle);
AcDbTextStyleTable* pTextStyle = NULL;
acdbHostApplicationServices()->workingDatabase()->getTextStyleTable(pTextStyle, AcDb::kForRead);
AcDbObjectId textID;
pTextStyle->getAt(_T("Standard"), textID);
pTextStyle->close();
if (!textID.isNull())
{
pTab->setTextStyle(textID);
}
pTab->setPosition(pInsert);
pTab->setNumRows(6);
pTab->setNumColumns(6);
pTab->generateLayout();
pTab->suppressHeaderRow(true);
pTab->setRowHeight(0, 1000);
for (int i = 1; i < 6; i++)
{
pTab->setRowHeight(i, 700);
}
pTab->setTextHeight(450);
pTab->setColumnWidth(0, 1300);
pTab->setColumnWidth(1, 2700);
pTab->setColumnWidth(2, 1800);
pTab->setColumnWidth(3, 1800);
pTab->setColumnWidth(4, 1800);
pTab->setColumnWidth(5, 1800);
pTab->mergeCells(0, 0, 0, 1);
pTab->setTextString(0, 0, _T("位置"));
pTab->setTextString(0, 2, _T("单件重(kg)"));
pTab->setTextString(0, 3, _T("数量(件)"));
pTab->setTextString(0, 4, _T("小计(kg)"));
pTab->setTextString(0, 5, _T("总重(kg)"));
AcGePoint3d pTextInsert = AcGePoint3d(pInsert.x + 4000, pInsert.y + 650, 0);
AcDbText *pText = new AcDbText(pTextInsert, _T("法兰重量表"));
pText->setHeight(750);
PostToModelSpace(pTab);
PostToModelSpace(pText);


注意:若上述代码的结果若为

记得检查 格式->表格样式  并点击修改,查看是否取消创建行/列时合并单元

版权声明:本文为博主原创文章,未经博主允许不得转载。

相关文章推荐

AcdbTable 例子学习笔记

Table 例子学习笔记 在这个例子中,ARX向我们展示了ACDBTABLE类的一些基本操作方法,ACDBTABLE类是ACAD2005及其以后的产品,应该是说ACDBDATATABLE的升级产品,...
  • ufe_1
  • ufe_1
  • 2012-12-26 09:57
  • 1503

设置文字样式并写入CAD

//设置字体样式AcDbObjectId CMainDlg::createTextStyle(CString fontName,CString bigFontName,CString textStyl...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:深度学习:神经网络中的前向传播和反向传播算法推导
举报原因:
原因补充:

(最多只允许输入30个字)